Uploaded image for project: 'Pegasus'
  1. Pegasus
  2. PM-1514

Move to boto3 and port p-s3

    XMLWordPrintable

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 5.0.0
    • 5.0.0
    • CLI: pegasus-s3
    • None

    Description

      According to Rajiv, we need to move to boto3 for pegasus-s3:

      boto is compatible with 2.6 - 3.4 - It may work with > 3.5, but it definitely isn't supported.
      https://pypi.org/project/boto/

      boto3 is compatible with >= 2.7
      https://pypi.org/project/boto3/

      Attachments

        There are no Sub-Tasks for this issue.

        Activity

          People

            tanaka Ryan Tanaka
            rynge Mats Rynge
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: